<?php
//* *******Licence**************
//MyPlanet v0.3
//Auteur : Sylvain Saleur
//syeric1@gmail.com
//
//avec l'aide précieuse de Laurent Lamand
//Licence GNU GPL v3
//**********************//

require "bin/getfeed.php";

function getCatList($int, $cat, $view){
	//************************************ Cette fonction retourne la liste des catégories à partir du tableau défini dans conf/conf.php
	/* Elle prend en argument la catégorie demandée en lecture et le mode demandé, récupérés grâce à $_GET["cat"] et $_GET["view"]
		Elle va retourner une liste de liens sous la forme :
		<ul>
		<li><a href="index.php?cat=LA_CATEGORIE&view=LE_MODE">Nom de la catégorie</a></li>
		...
		</ul>
		Pour la catégorie active, le lien sera de "classe" active, idéal pour des onglets. 
		<li><a href="index.php?cat=LA_CATEGORIE&view=LE_MODE" class="active">Nom de la catégorie</a></li>
	*/
	$tab=catList();
	$list='';
	if ($view==NULL){
		if ($cat==NULL) {
		$list.='<a href="index.php?view='.$int.'" class="active">&nbsp;&nbsp;'.$tab[0].'&nbsp;&nbsp;</a>';
		for ($i=1; $i < sizeof($tab); $i++){
			$list.='<a href="index.php?cat='.$i.'&amp;view='.$int.'">&nbsp;&nbsp;'.$tab[$i].'&nbsp;&nbsp;</a>';
		}
		}
		else {
			$list.='<a href="index.php?view='.$int.'">&nbsp;&nbsp;'.$tab[0].'&nbsp;&nbsp;</a>';
			for ($n=1; $n < sizeof($tab); $n++) {
				if ($n==$cat){
					$list.='<a href="index.php?cat='.$n.'&amp;view='.$int.'" class="active">&nbsp;&nbsp;'.$tab[$n].'&nbsp;&nbsp;</a>';
				}
				else {
					$list.='<a href="index.php?cat='.$n.'&amp;view='.$int.'">&nbsp;&nbsp;'.$tab[$n].'&nbsp;&nbsp;</a>';
				}
			}
		}
	}
	elseif ($view==0){
		if ($cat==NULL) {
		$list.='<a href="index.php?view=0" class="active">&nbsp;&nbsp;'.$tab[0].'&nbsp;&nbsp;</a>';
		for ($i=1; $i < sizeof($tab); $i++){
			$list.='<a href="index.php?cat='.$i.'&amp;view=0">&nbsp;&nbsp;'.$tab[$i].'&nbsp;&nbsp;</a>';
		}
		}
		else {
			$list.='<a href="index.php?view=0">&nbsp;&nbsp;'.$tab[0].'&nbsp;&nbsp;</a>';
			for ($n=1; $n < sizeof($tab); $n++) {
				if ($n==$cat){
					$list.='<a href="index.php?cat='.$n.'&amp;view=0" class="active">&nbsp;&nbsp;'.$tab[$n].'&nbsp;&nbsp;</a>';
				}
				else {
					$list.='<a href="index.php?cat='.$n.'&amp;view=0">&nbsp;&nbsp;'.$tab[$n].'&nbsp;&nbsp;</a>';
				}
			}
		}
	}
	else{
		if ($cat==NULL) {
		$list.='<a href="index.php?view=1" class="active">&nbsp;&nbsp;Accueil&nbsp;&nbsp;</a>';
		for ($i=1; $i < sizeof($tab); $i++){
			$list.='<a href="index.php?cat='.$i.'&amp;view=1">&nbsp;&nbsp;'.$tab[$i].'&nbsp;&nbsp;</a>';
		}
		}
		else {
			$list.='<a href="index.php?view=1">&nbsp;&nbsp;Accueil&nbsp;&nbsp;</a>';
			for ($n=1; $n < sizeof($tab); $n++) {
				if ($n==$cat){
					$list.='<a href="index.php?cat='.$n.'&amp;view=1" class="active">&nbsp;&nbsp;'.$tab[$n].'&nbsp;&nbsp;</a>';
				}
				else {
					$list.='<a href="index.php?cat='.$n.'&amp;view=1">&nbsp;&nbsp;'.$tab[$n].'&nbsp;&nbsp;</a>';
				}
			}
		}
	}
	echo $list;
}
function getFeeds($int, $cat, $view, $img){
	//cette fonction affiche les fils en fonction de la catégorie et du mode. Voir conf/conf.php
	switch ($view){
	case NULL: //mode par défaut, ici agrégateur	
		if ($int==0){
		getFeedsById($cat, $img);
		}
		elseif ($int==1){
		feedsAsPlanet($cat, $img);
		}
	break;
	case '0': //mode planet
		getFeedsById($cat, $img);
	break;
	case '1': //mode planet
		feedsAsPlanet($cat, $img);
	break;
	}
}

function viewselect($int, $cat, $view){
	//cette fonction est le sélecteur de mode de visualisation. Retourne la liste en fonction de la catégorie et du mode (<ul><li>...</li></ul>). Le mode actif aura un lien de classe active.
	if ($cat==NULL){
		$liste = '<ul>';
		if ($view==NULL){
			$liste.='<li><a href="index.php?view=0" class="active">&nbsp;&nbsp;Vue agrégateur&nbsp;&nbsp;</a></li>';
			$liste.='<li><a href="index.php?view=1">&nbsp;&nbsp;Vue Mini-Planet&nbsp;&nbsp;</a></li>';
		}
		elseif (($view==NULL) and ($int==1)){
			$liste.='<li><a href="index.php?view=0">&nbsp;&nbsp;Vue agrégateur&nbsp;&nbsp;</a></li>';
			$liste.='<li><a href="index.php?view=1" class="active">&nbsp;&nbsp;Vue Mini-Planet&nbsp;&nbsp;</a></li>';
		}
		elseif ($view==0){
			$liste.='<li><a href="index.php?view=0"  class="active">&nbsp;&nbsp;Vue agrégateur&nbsp;&nbsp;</a></li>';
			$liste.='<li><a href="index.php?view=1">&nbsp;&nbsp;Vue Mini-Planet&nbsp;&nbsp;</a></li>';
		}
		else{
			$liste.='<li><a href="index.php?view=0">&nbsp;&nbsp;Vue agrégateur&nbsp;&nbsp;</a></li>';
			$liste.='<li><a href="index.php?view=1" class="active">&nbsp;&nbsp;Vue Mini-Planet&nbsp;&nbsp;</a></li>';
		}
		$liste.='</ul>';
		echo $liste;
	}
	else{
	$tab=catList();
	for ($i=1; $i < sizeof($tab); $i++){
	if ($cat==$i){
		$liste = '<ul>';
		if ($view==NULL){
			$liste.='<li><a href="index.php?cat='.$i.'&amp;view=0" class="active">&nbsp;&nbsp;Vue agrégateur&nbsp;&nbsp;</a></li>';
			$liste.='<li><a href="index.php?cat='.$i.'&amp;view=1">&nbsp;&nbsp;Vue Mini-Planet&nbsp;&nbsp;</a></li>';
		}
		elseif (($view==NULL) and ($int==1)){
			$liste.='<li><a href="index.php?cat='.$i.'&amp;view=0">&nbsp;&nbsp;Vue agrégateur&nbsp;&nbsp;</a></li>';
			$liste.='<li><a href="index.php?cat='.$i.'&amp;view=1" class="active">&nbsp;&nbsp;Vue Mini-Planet&nbsp;&nbsp;</a></li>';
		}
		elseif ($view==0){
			$liste.='<li><a href="index.php?cat='.$i.'&amp;view=0"  class="active">&nbsp;&nbsp;Vue agrégateur&nbsp;&nbsp;</a></li>';
			$liste.='<li><a href="index.php?cat='.$i.'&amp;view=1">&nbsp;&nbsp;Vue Mini-Planet&nbsp;&nbsp;</a></li>';
		}
		else{
			$liste.='<li><a href="index.php?cat='.$i.'&amp;view=0">&nbsp;&nbsp;Vue agrégateur&nbsp;&nbsp;</a></li>';
			$liste.='<li><a href="index.php?cat='.$i.'&amp;view=1" class="active">&nbsp;&nbsp;Vue Mini-Planet&nbsp;&nbsp;</a></li>';
		}
		$liste.='</ul>';
		echo $liste;
		break;
	}
	}
	}
}
?>
